package com.fzm.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author tangtuo
 * @date 2022/1/18 17:49
 */
@Getter
@AllArgsConstructor
public enum PayScene {

    NFT(1, "NFT发行"),
    COPYRIGHT(2, "版权申请");


    private Integer code;
    private String type;

    public static String getTypeByCode(Integer code) {
        for (PayScene value : PayScene.values()) {
            if (value.getCode().equals(code)) {
                return value.getType();
            }
        }
        return NFT.getType();
    }
}
