package com.fzm.common.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fzm.common.entity.Admin;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author tangtuo
 * @date 2021/7/1 14:35
 */
@Mapper
public interface AdminMapper extends BaseMapper<Admin> {

    void updateByUserNameIf(Admin admin);

    List<Admin> listAdmin(@Param("username") String username, @Param("nickname") String nickname, @Param("roleId") Integer roleId);
}
